Package org.apache.aries.jax.rs.whiteboard.internal

## Class Whiteboard

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.Whiteboard

    public class Whiteboard
    extends Object

Author:
  Carlos Sierra Andrés

### Field Summary

Fields
`static Map<String,​Class<?>>` `SUPPORTED_EXTENSION_INTERFACES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addHttpEndpoints​(List<String> endpoints)`
`static Whiteboard` `createWhiteboard​(Dictionary<String,​?> configuration)`
`org.apache.aries.component.dsl.OSGi<Map<String,​ServiceTuple<Object>>>` `getCxfExtensions​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)`
`org.osgi.framework.ServiceReference<org.osgi.service.jaxrs.runtime.JaxrsServiceRuntime>` `getServiceReference()`
`void` `removeHttpEndpoints​(List<String> endpoints)`
`void` `start​(org.osgi.framework.BundleContext bundleContext)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUPPORTED_EXTENSION_INTERFACES

    public static final Map<String,​Class<?>> SUPPORTED_EXTENSION_INTERFACES

### Method Detail

#### createWhiteboard

    public static Whiteboard createWhiteboard​(Dictionary<String,​?> configuration)

#### start

    public void start​(org.osgi.framework.BundleContext bundleContext)

#### stop

    public void stop()

#### addHttpEndpoints

    public void addHttpEndpoints​(List<String> endpoints)

#### getServiceReference

    public org.osgi.framework.ServiceReference<org.osgi.service.jaxrs.runtime.JaxrsServiceRuntime> getServiceReference()

#### getCxfExtensions

    public org.apache.aries.component.dsl.OSGi<Map<String,​ServiceTuple<Object>>> getCxfExtensions​(org.apache.aries.component.dsl.CachingServiceReference<javax.ws.rs.core.Application> applicationReference)

#### removeHttpEndpoints

    public void removeHttpEndpoints​(List<String> endpoints)